Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.interview
Class LegacyParameters

    java.lang.Object
      com.sun.interview.Interview
          com.sun.javatest.InterviewParameters
              com.sun.javatest.interview.BasicInterviewParameters
                  com.sun.javatest.interview.LegacyParameters

All Implemented Interfaces:
  Parameters

    public class LegacyParameters

extends BasicInterviewParameters

A configuration interview for legacy test suites that use environment (.jte) files to define the environment used to run tests.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.InterviewParameters
`InterviewParameters.JTIFault, InterviewParameters.TemplateManager, InterviewParameters.TestSuiteFault, InterviewParameters.WorkDirFault`

Nested classes/interfaces inherited from class com.sun.interview.Interview
`Interview.BadHelpFault, Interview.Fault, Interview.HelpNotFoundFault, Interview.NotOnPathFault, Interview.Observer`

Nested classes/interfaces inherited from interface com.sun.javatest.Parameters
`Parameters.ConcurrencyParameters, Parameters.EnvParameters, Parameters.ExcludeListParameters, Parameters.KeywordsParameters, Parameters.LegacyEnvParameters, Parameters.MutableConcurrencyParameters, Parameters.MutableExcludeListParameters, Parameters.MutableKeywordsParameters, Parameters.MutablePriorStatusParameters, Parameters.MutableTestsParameters, Parameters.MutableTimeoutFactorParameters, Parameters.PriorStatusParameters, Parameters.TestsParameters, Parameters.TimeoutFactorParameters`

Field Summary

Fields inherited from class com.sun.javatest.interview.BasicInterviewParameters
`iTests`

Fields inherited from class com.sun.interview.Interview
`CHECKSUM, EXPORT_IGNORE_ALL_EXCEPTIONS, EXPORT_IGNORE_NO_EXCEPTIONS, EXPORT_IGNORE_RUNTIME_EXCEPTIONS, EXTERNAL_PREF, INTERVIEW, LOCALE, MARKERS, MARKERS_PREF, QUESTION, SEMANTIC_MAX_VERSION, SEMANTIC_PRE_32, SEMANTIC_VERSION_32, SEMANTIC_VERSION_43, TEMPLATE_PREF`

Constructor Summary
`LegacyParameters()` Create a configuration interview for legacy tests suites.
`LegacyParameters(TestSuite testSuite)` Create a configuration interview for legacy tests suites.

Method Summary
`protected Question` | `getEnvFirstQuestion()` Get the first question to be asked concerning the environment to be set up and used for each test to be run.
`Parameters.EnvParameters` | `getEnvParameters()` Get an object which provides access to the environment of test-suite-specific configuration values to be used when each test is run.

Methods inherited from class com.sun.javatest.interview.BasicInterviewParameters
`createTestsInterview, getConcurrencyFirstQuestion, getConcurrencyParameters, getDescription, getEpilogFirstQuestion, getExcludeListFirstQuestion, getExcludeListParameters, getKeywordsFirstQuestion, getKeywordsParameters, getName, getPriorStatusFirstQuestion, getPriorStatusParameters, getTestsFirstQuestion, getTestsParameters, getTestSuite, getTimeoutFactorFirstQuestion, getTimeoutFactorParameters, getWorkDirectory, isNameAndDescriptionInPrologEnabled, setNameAndDescriptionInPrologEnabled, setTestSuite, setWorkDirectory`

Methods inherited from class com.sun.javatest.InterviewParameters
`checkForUpdates, clear, dispose, getBackupPolicy, getConcurrency, getConcurrencySuccessorQuestion, getEnv, getEnvSuccessorQuestion, getErrorMessage, getExcludeList, getExcludeListFilter, getExcludeListSuccessorQuestion, getExcludeTableFilter, getExcludeTableFirstQuestion, getExcludeTableSuccessorQuestion, getFile, getFilters, getKeywords, getKeywordsFilter, getKeywordsSuccessorQuestion, getMarkersEnabled, getMarkersFilterEnabled, getPriorStatusFilter, getPriorStatusSuccessorQuestion, getPriorStatusValues, getPrologSuccessorQuestion, getPropagationController, getRelevantTestFilter, getTemplateManger, getTemplatePath, getTests, getTestsSuccessorQuestion, getTimeoutFactor, getTimeoutFactorSuccessorQuestion, init, isAutoUpdatableKey, isAutoUpdatableKey, isFileLoaded, isFileNewer, isInterviewFile, isTemplate, isUpdatableKey, isValid, load, load, load, load, load, open, open, open, open, open, save, save, save, save, saveAs, saveAs, saveAs, setBackupPolicy, setFile, setMarkersEnabled, setMarkersFilterEnabled, setPropagationController, setTemplate, setTemplateManger, setTemplatePath`

Methods inherited from class com.sun.interview.Interview
`addObserver, callInterview, clearMarkedResponses, containsObserver, createChecklist, createChecklistItem, createChecklistItem, createChecklistItem, export, getAllQuestions, getCurrentQuestion, getDefaultImage, getExportIgnoreExceptionPolicy, getExternalProperties, getFirstQuestion, getHelpSet, getInterview, getInterviewSemantics, getParent, getPath, getPathToCurrent, getPropertyKeys, getQuestions, getRawPath, getResourceBundle, getResourceString, getResourceString, getRoot, getTag, getTitle, hasNext, hasValidNext, isChecklistEmpty, isChecksumValid, isEdited, isFinishable, isFirst, isInterviewFinishable, isLast, isRoot, isStarted, iteratePath, iteratePathToCurrent, last, load, next, pathContains, pathContains, prev, propagateTemplateForAll, readLocale, removeAllMarkers, removeMarkers, removeObserver, reset, retrieveProperty, retrieveTemplateKeys, retrieveTemplateProperty, setBaseTag, setCurrentQuestion, setDefaultImage, setEdited, setExportIgnoreExceptionPolicy, setFirstQuestion, setHelpSet, setHelpSet, setHelpSet, setInterviewSemantics, setResourceBundle, setResourceBundle, setTitle, storeProperty, storeTemplateProperties, storeTemplateProperty, updatePath, updatePath, verifyPathContains, writeLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyParameters

    public LegacyParameters()
                     throws Interview.Fault

  Create a configuration interview for legacy tests suites.

  Throws:
    `Interview.Fault` - if there is a problem instantiating the interview.

### LegacyParameters

    public LegacyParameters(TestSuite testSuite)
                     throws Interview.Fault

  Create a configuration interview for legacy tests suites.

  Parameters:
    `testSuite` - The test suite for which this interview applies
  Throws:
    `Interview.Fault` - if there is a problem instantiating the interview.

Method Detail

### getEnvParameters

    public Parameters.EnvParameters getEnvParameters()

  Description copied from interface: `Parameters`
  Get an object which provides access to the environment of test-suite-specific configuration values to be used when each test is run.

  Returns:
    an object which provides access to the environment to be used when each test is run.

### getEnvFirstQuestion

    protected Question getEnvFirstQuestion()

  Get the first question to be asked concerning the environment to be set up and used for each test to be run. For legacy test suites, questions are asked to determine environment files to be read and the name of an environment to be found in those files.

  Specified by:
    `getEnvFirstQuestion` in class `InterviewParameters`
  Returns:
    the first question to be asked concerning the environment to be set up and used for each test to be run.
  See Also:
    `InterviewParameters.getEnvSuccessorQuestion()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.